setClass("constraintSet", representation(
    description="character",
    numIntervals="numeric", 
    intervals="list",
    shapeDiffCon="data.frame",
    subMotifCon="data.frame",
    palCon="data.frame",
    objectCall="call"))

setClass("intInfo", representation(
    constraintID="numeric",
    intervalID="numeric", 
    type="character",
    length="numeric",
    prop="numeric",
    boundedCon="data.frame",
    posFreqCon="data.frame",
    shapeCon="data.frame",
    objectCall="call"))


setClass("boundCon", representation(
    lower="numeric",
    upper="numeric"))


setClass("posFreqCon", representation(
    pos="character",
    nuc="character",
    lower="numeric"))


setClass("shapeCon", representation(
    shape="character",
    sLower="numeric",
    sUpper="numeric",
    eLower="numeric",
    eUpper="numeric",
    error="numeric"))


setClass("shapeDiffCon", representation(
    int1="character",
    int2="character",
    lower="numeric",
    upper="numeric"))


setClass("subMotifCon", representation(
    submotif="character",
    minfreq="numeric"))


setClass("palCon", representation(
    int1="numeric",
    int2="numeric",
    errBnd="numeric"))

setClass("align", representation(
    seq="character",
    pos="numeric", 
    orient="numeric",
    motif="character",
    prob="numeric",
    eval="numeric"))

setClass("cosmo", representation(
    seqs="list",
    pwm="pwm",
    back="data.frame",                             
    tmat="list",
    cand="data.frame",
    cons="constraintSet",                             
    sel="data.frame",
    motifs="align",                                                                  
    probs="list",
    objectCall="call"))

