\name{align-class}
\docType{class}
\alias{align-class}
\alias{summary,align-method}
\alias{print,align-method}
\alias{show,align-method}

\title{Class "align"}
\description{
  An object of class \code{"align"} summarizes the motif occurrences
  that were predicted by \code{cosmo}. For each predicted motif
  occurrence, it contains the sequences on which the site was found,
  the position on that sequence, the orientation of the motif (1 if
  found on the forward strand, -1 otherwise), the site itself, as well
  as the posterior probability of a motif occurrence at that site.
}

\section{Objects from the Class}{
  Objects can be created by calls of the form \code{new("align", ...)}.
}
\section{Slots}{
  \describe{
    \item{\code{seq}:}{Object of class \code{"numeric"} The sequences on
    which the sites were predicted.}
    \item{\code{pos}:}{Object of class \code{"numeric"} The starting
      postions of the discovered sites. }
    \item{\code{orient}:}{Object of class \code{"numeric"} The orientation in
      which each motif was discovered: 1 for the forward strand
      orientation, and -1 for the reverse complement orientation}
    \item{\code{motif}:}{Object of class \code{"character"} The site
      that was predicted to be a motif occurrence. }
    \item{\code{prob}:}{Object of class \code{"numeric"} The posterior
      probability of a motif occurrence at this position }
    \item{\code{eval}:}{Object of class \code{"numeric"} The E-value of
      the multiple alignment containing the predicted motif occurrences }
  }
}
\section{Methods}{
  \item{summary}{\code{signature(object = "align",...)} Prints the discovered motifs along with the
    sequences they were discovered on, the starting positions, the
    strand, and the posterior probability of a motif occurrence at this
    site. Also prints the E-value of the discovered alignment.}

  \item{print}{\code{signature(x = "align",...)} Prints the discovered motifs along with the
    sequences they were discovered on, the starting positions, the
    strand, and the posterior probability of a motif occurrence at this
    site. }

  \item{show}{\code{signature(object = "align")} Prints the discovered motifs along with the
    sequences they were discovered on, the starting positions, the
    strand, and the posterior probability of a motif occurrence at this
    site. }
  
}
\references{}
\author{Oliver Bembom, \email{bembom@berkeley.edu}}

\note{}


\seealso{
}
\examples{
}
\keyword{classes}
