\name{bfile2tmat}
\alias{bfile2tmat}
\title{Converting a MEME-style background file to a transition matrix}
\description{
  bfile2tmat converts a MEME-style background file for specifiying the
  background Markov model into a transition matrix.
}
\usage{
  bfile2tmat(file) 
}
\arguments{
  \item{file}{ The MEME-style background file.}
}
\details{

}
\value{

  The estimated transition matrix for the 
  background Markov model. This is a list of matrices, with the first
  matrix given the transition probabilities for the 0th order Markov
  model, the second matrix giving the transition probabilities for a
  1st order Markov model, and so on.
}
\references{}
\author{Oliver Bembom, \email{bembom@berkeley.edu}}
\note{}

\seealso{
  \code{\link{cosmo}},
  \code{\link{bgModel}}  
}
\examples{
## path to example MEME-style background file
bfile <- system.file("Exfiles","bfile",package="cosmo")

tmat <- bfile2tmat(bfile)

}
\keyword{}
