\name{cosmo-class}
\docType{class}
\alias{cosmo-class}
\alias{plot,cosmo-method}
\alias{summary,cosmo-method}
\alias{print,cosmo-method}
\alias{show,cosmo-method}

\title{Class "cosmo"}
\description{
An object of class \code{"cosmo"} is automatically created after calling the 'cosmo' function and summarizes the results.}
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("cosmo", ...)}.
}
\section{Slots}{
	 \describe{
    \item{\code{seqs}:}{A list of the input sequences.}
    \item{\code{pwm}:}{An object of class \code{pwm} representing the
      estimated position weight matrix.}
    \item{\code{back}:}{A data frame summarizing the candidate Markov
      models for the background distribution.}
    \item{\code{tmat}:}{The estimated transition matrix/matrices used to
      model the distribution of background nucleotides.}
    \item{\code{cand}:}{A data frame summarizing the candidate models
      considered.}
    \item{\code{cons}:}{The constraint set applied in the final model.}
    \item{\code{sel}:}{The selected model.}
    \item{\code{motifs}:}{An object of class \code{"align"} representing
    the predicted motif occurrences.}
    \item{\code{probs}:}{A list giving the posterior probabilities of
      motif occurrences along each sequence. }
    \item{\code{objectCall}:}{The call which produced this object. }
  }
}
\section{Methods}{
  \item{summary}{\code{signature(object = "cosmo",...)} Summarizes the
    cosmo object.} 
  

  \item{plot}{\code{signature(x = "cosmo",type="PWM", ...)}
    If \code{type == "PWM"}, plots the sequence logo of the discovered
    motif. If \code{type == "prob"}, plots the posterior probabilities
    of motif occurrences along all input sequences.
  }

  \item{print}{\code{signature(x = "cosmo",...)} Prints the discovered motifs along with the
    sequences they were discovered on, the starting positions, the
    strand, and the posterior probability of a motif occurrence at this
    site. Also prints the estimates position weight matrix.}

  \item{show}{\code{signature(object = "cosmo")} Prints the discovered motifs along with the
    sequences they were discovered on, the starting positions, the
    strand, and the posterior probability of a motif occurrence at this
    site. }

}
\references{}
\author{Oliver Bembom, \email{bembom@berkeley.edu}}
\note{}


\seealso{
}
\examples{
}
\keyword{classes}
