\name{makeBoundCon}
\alias{makeBoundCon}
\title{Constructing a bound constraint}
\description{
  This function constructs a \texttt{boundCon} object representing a
  constraint on the unknown position weight matrix that requires the
  information content to be bounded between a given lower bound and a
  given upper bound. 
}
\usage{
makeBoundCon(lower, upper)
}
\arguments{
  \item{lower}{\code{numeric} the lower bound on the information content}
  \item{upper}{\code{numeric} the upper bound on the information content}
}
\details{
}
\value{
An object of class \texttt{boundCon}.
}
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\seealso{
  \code{\link{boundCon}}, \code{\link{subMotifCon}}, \code{\link{posFreqCon}}, \code{\link{shapeCon}}, \code{\link{shapeDiffCon}}, \code{\link{palCon}}
}
\examples{
bc <- makeBoundCon(1.0, 2.0)
}
\keyword{misc}
