\name{makePalCon}
\alias{makePalCon}
\title{Constructing a palindromic constraint}
\description{
  This function constructs a \texttt{palCon} object representing a
  constraint on the unknown position weight matrix that requires the
  two intervals to be palindromes of each other.
}
\usage{
makePalCon(int1, int2, errBnd)
}
\arguments{
  \item{int1}{\code{numeric} the first interval}
  \item{int2}{\code{numeric} the second interval}
  \item{errBnd}{\code{numeric} bound on how much corresponding
    nucleotide frequency are allowed to deviate from each other}
}
\details{
}
\value{
An object of class \texttt{palCon}.
}
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\seealso{
  \code{\link{boundCon}}, \code{\link{subMotifCon}}, \code{\link{palCon}}, \code{\link{posFreqCon}}, \code{\link{shapeDiffCon}}, \code{\link{palCon}}
}
\examples{
pfc <- makePalCon(1, 3, 0.05)
}
\keyword{misc}
