\name{makePosFreqCon}
\alias{makePosFreqCon}
\title{Constructing a nucleotide frequency constraint}
\description{
  This function constructs a \texttt{posFreqCon} object representing a
  constraint on the unknown position weight matrix that requires the
  frequency of a given nucleotide to be above a given lower bound,
  either at a single position in a given interval, or on average across
  the entire interval
}
\usage{
makePosFreqCon(pos, nuc, lower)
}
\arguments{
  \item{pos}{This is either the string \code{avg}, indicating that the
    average nucleotide frequency across the interval is bounded from
    below, or a position in the interval, indicating the nucleotide
    frequency at that position in the interval is bounded from below.}
  \item{nuc}{\code{character} This is one of \code{A}, \code{C},
    \code{G}, \code{T}, \code{GC}, \code{AT}.}
  \item{lower}{\code{numeric} the lower bound on the nucleotide
    frequency of interest}
}
\details{
}
\value{
An object of class \texttt{posFreqCon}.
}
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\seealso{
  \code{\link{boundCon}}, \code{\link{shapeCon}}, \code{\link{subMotifCon}}, \code{\link{posFreqCon}}, \code{\link{shapeDiffCon}}, \code{\link{palCon}}
}
\examples{
pfc <- makePosFreqCon("avg","GC", 0.75)
}
\keyword{misc}
