\name{makeShapeCon}
\alias{makeShapeCon}
\title{Constructing a shape constraint}
\description{
  This function constructs a \texttt{shapeCon} object representing a
  constraint on the unknown position weight matrix that requires the
  information content to follow a particular functional form.
}
\usage{
makeShapeCon(shape, sLower, sUpper, eLower, eUpper, error)
}
\arguments{
  \item{shape}{\code{character} the functional form of the information
    content. This must be either \code{Linear},
    \code{MonotoneIncreasing}, or \code{MonotoneDecreasing}.}
  \item{sLower}{\code{numeric} lower bound on the information content at
  the start of the interval}
  \item{sUpper}{\code{numeric} upper bound on the information content at
  the start of the interval}
  \item{eLower}{\code{numeric} lower bound on the information content at
  the end of the interval}
  \item{eUpper}{\code{numeric} upper bound on the information content at
    the end of the interval}
  \item{error}{\code{numeric} tolerance for how much the actual
    information content profile is allowed to deviate from the
    prescribed form}
}
\details{
}
\value{
An object of class \texttt{shapeCon}.
}
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\seealso{
  \code{\link{boundCon}}, \code{\link{subMotifCon}}, \code{\link{posFreqCon}}, \code{\link{shapeCon}}, \code{\link{shapeDiffCon}}, \code{\link{palCon}}
}
\examples{
sc <- makeShapeCon("Linear",1.0, 2.0, 1.5, 2.0, 0.05)
}
\keyword{misc}
