\name{makeSubMotifCon}
\alias{makeSubMotifCon}
\title{Constructing a submotif constraint}
\description{
  This function constructs a \texttt{subMotifCon} object representing a
  constraint on the unknown position weight matrix that requires the
  motif to contain a given submotif
}
\usage{
makeSubMotifCon(submotif, minfreq)
}
\arguments{
  \item{submotif}{\code{character} the submotif}
  \item{minfreq}{\code{numeric} roughly, the minimum frequency with which
    nucleotides in the submotif must occur in the motif}
}
\details{
}
\value{
An object of class \texttt{subMotifCon}.
}
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\seealso{
  \code{\link{boundCon}}, \code{\link{shapeCon}}, \code{\link{subMotifCon}}, \code{\link{posFreqCon}}, \code{\link{shapeDiffCon}}, \code{\link{palCon}}
}
\examples{
pfc <- makeSubMotifCon("CGC", 0.8)
}
\keyword{misc}
