\name{palCon-class}
\docType{class}
\alias{palCon-class}
\alias{palCon}

\title{Class "palCon" ~~~ }
\description{ This class defines a global constraint when palindromic patterns are known to be found in the motif. }
\section{Objects from the Class}{
Objects can be created by calls of the form
\code{  new('palCon',}\cr
\code{    int1       = ...., # Object of class numeric}\cr
\code{    int2       = ...., # Object of class numeric}\cr
\code{    errBnd     = ...., # Object of class numeric}\cr
\code{  )}
or by:
\code{  makePalCon(}\cr
\code{    int1       = ...., # Object of class numeric}\cr
\code{    int2       = ...., # Object of class numeric}\cr
\code{    errBnd     = ...., # Object of class numeric}\cr
\code{  )}
}
\section{Slots}{
  \describe{
    \item{\code{int1}:}{Object of class \code{"numeric"} first palindromic interval }
    \item{\code{int2}:}{Object of class \code{"numeric"} second palindromic interval }
    \item{\code{errBnd}:}{Object of class \code{"numeric"} error tolerated in mismatches}
  }
}
\section{Methods}{
No methods defined with class "palCon" in the signature.
}
\references{ }
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\note{ ~~further notes~~ }
\seealso{
  \code{\link{shapeCon}}, \code{\link{subMotifCon}}, \code{\link{posFreqCon}}, \code{\link{boundCon}}, \code{\link{shapeDiffCon}}
  \code{\link{makeConSet}}
}
\examples{
set=makeConSet(3,c("B","V","B"),c(4,NA,4))
palcon=makePalCon(1,3,0.5)
set=addCon(set,list(palcon),NA)
}
\keyword{classes}
