\name{posFreqCon-class}
\docType{class}
\alias{posFreqCon-class}
\alias{posFreqCon}

\title{Class "posFreqCon" ~~~ }
\description{ This class defines a constraint concerning the lower bound for the proportion of a nucleotide at a particular position of the interval}
\section{Objects from the Class}{
Objects can be created by calls of the form
\code{  new('posFreqCon',}\cr
\code{    pos       = ...., # Object of class character}\cr
\code{    nuc       = ...., # Object of class character}\cr
\code{    lower     = ...., # Object of class numeric}\cr
\code{  )}
or by:
\code{  makePosFreqCon(}\cr
\code{    pos       = ...., # Object of class character}\cr
\code{    nuc       = ...., # Object of class character}\cr
\code{    lower     = ...., # Object of class numeric}\cr
\code{  )}
}
\section{Slots}{
  \describe{
    \item{\code{pos}:}{Object of class \code{"numeric"} position in the interval of the nucleotide affected by the constraint }
    \item{\code{nuc}:}{Object of class \code{"character"} nucleotide to which the constraint is applied  }
    \item{\code{lower}:}{Object of class \code{"numeric"} lower bound for the nucleotide's frequency  }
  }
}
\section{Methods}{
No methods defined with class "posFreqCon" in the signature.
}
\references{ }
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\note{ ~~further notes~~ }
\seealso{
  \code{\link{boundCon}}, \code{\link{shapeCon}}, \code{\link{subMotifCon}}, \code{\link{shapeDiffCon}}, \code{\link{palCon}}
  \code{\link{makeConSet}}
}
\examples{
set=makeConSet(2,c("B","V"),c(5,NA))
posCon1=makePosFreqCon("2","A",0.5)
posCon2=makePosFreqCon("All", "G", 0.3)
conSet=addCon(set,list(posCon1,posCon2),c(1,2))
# Because the first nucleotide position frequency constraint applies to
#a specific position, it can only be applied to the interval of type "B".
}
\keyword{classes}

