\name{postProbs-class}
\docType{class}
\alias{postProbs-class}
\alias{plot,postProbs-method}

\title{Class "postProbs"}
\description{
  An object of class \code{"postProbs"} collects information about the
  posterior probability of motif occurrences in each of the eligible
  positions of the input sequences. Most notably these probabilities can
  be plotted using the plot function.

}

\section{Objects from the Class}{
  Objects can be created by calls of the form \code{new("postProbs", ...)}.
}
\section{Slots}{
  \describe{
    \item{\code{seqMat}:}{Object of class \code{"matrix"} The sequences
      in numerical matrix format as output by cosmo.}
    \item{\code{seqNames}:}{\code{"list"}A list of the sequence names.}
    \item{\code{probs}:}{\code{"numeric"}A matrix of the posterior probabilities.}
    \item{\code{revcomp}:}{\code{"logical"}A matrix indicating whether
	the motif is more likely to occure in the reverse complement orientation.} 
  }
}
\section{Methods}{

  \item{plot}{\code{signature(x = "postProbs")} Plots the
    posterior probabilities. If the motif is more likely to occur in the
    forward strand orientation, the bar extends upward from the
    horizontal, otherwise it extends downward.}
  
}
\references{}
\author{Oliver Bembom, \email{bembom@berkeley.edu}}

\note{}


\seealso{
}
\examples{
}
\keyword{classes}
