\name{readConFile}
\alias{readConFile}
\title{Reads in a constraint file.}
\description{
  This function reads in a contraints file into an object of class
  \code{constraintSet} or a list of such objects. 
}
\usage{
  readConFile(conFile, description="Constraints")
}
\arguments{
  \item{conFile}{Path to the constraint file that is to be read in}
  \item{description}{Description of the constraint group that is to be created}
}
\details{
}
\value{
  An object of class \code{constraintSet} or a list of such objects that
  contains the constraint definitions found in the constraint file.
}
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\seealso{
  \code{\link[base]{constraintSet}},
  \code{\link[base]{writeConFile}}
  
}
\examples{
conFile <- system.file("Exfiles","conFile",package="cosmo")
cons <- readConFile(conFile)
}
\keyword{misc}
