\name{shapeCon-class}
\docType{class}
\alias{shapeCon-class}
\alias{shapeCon}

\title{Class "shapeCon" ~~~ }
\description{ This class defines a constraint concerning the evolution of the information content over an interval}
\section{Objects from the Class}{
Objects can be created by calls of the form
\code{  new('shapeCon',}\cr
\code{    shape      = ...., # Object of class character}\cr
\code{    sLower     = ...., # Object of class numeric}\cr
\code{    sUpper     = ...., # Object of class numeric}\cr
\code{    eLower     = ...., # Object of class numeric}\cr
\code{    eUpper     = ...., # Object of class numeric}\cr
\code{    error      = ...., # Object of class numeric}\cr
\code{  )}
or by:
\code{  makeShapeCon(}\cr
\code{    shape      = ...., # Object of class character}\cr
\code{    sLower     = ...., # Object of class numeric}\cr
\code{    sUpper     = ...., # Object of class numeric}\cr
\code{    eLower     = ...., # Object of class numeric}\cr
\code{    eUpper     = ...., # Object of class numeric}\cr
\code{    error      = ...., # Object of class numeric}\cr
\code{  )}
}
\section{Slots}{
  \describe{
    \item{\code{shape}:}{Object of class \code{"character"} This slot describes how the information content varies across the interval: 'Linear', 
'Monotone Increasing' and 'Monotone Decreasing' are currently implemented }
    \item{\code{sLower}:}{Object of class \code{"numeric"} starting lower bound }
    \item{\code{sUpper}:}{Object of class \code{"numeric"} starting upper bound  }
    \item{\code{eLower}:}{Object of class \code{"numeric"} ending lower bound  }
    \item{\code{eUpper}:}{Object of class \code{"numeric"} ending upper bound   }
    \item{\code{error}:}{Object of class \code{"numeric"} error tolerated }
  }
}
\section{Methods}{
No methods defined with class "shapeCon" in the signature.
}
\references{  }
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\note{ ~~further notes~~ }
\seealso{
   \code{\link{boundCon}}, \code{\link{subMotifCon}}, \code{\link{posFreqCon}}, \code{\link{shapeDiffCon}}, \code{\link{palCon}}
   \code{\link{makeConSet}}
}
\examples{
makeShapeCon("Monotone Increasing",sLower=0,sUpper=1,eLower=1.5,eUpper=2,error=0.5)
}
\keyword{classes}
