\name{shapeDiffCon-class}
\docType{class}
\alias{shapeDiffCon-class}
\alias{shapeDiffCon}

\title{Class "shapeDiffCon" ~~~ }
\description{ This class defines a global constraint for the bounds of the difference of the information content at two interval extremities.}
\section{Objects from the Class}{
Objects can be created by calls of the form
\code{  new('shapeDiffCon',}\cr
\code{    int1      = ...., # Object of class character}\cr
\code{    int2      = ...., # Object of class character}\cr
\code{    lower     = ...., # Object of class numeric}\cr
\code{    upper     = ...., # Object of class numeric}\cr
\code{  )}
or by:
\code{  makeShapeDiffCon(}\cr
\code{    int1      = ...., # Object of class character}\cr
\code{    int2      = ...., # Object of class character}\cr
\code{    lower     = ...., # Object of class numeric}\cr
\code{    upper     = ...., # Object of class numeric}\cr
\code{  )}
}
\section{Slots}{
  \describe{
    \item{\code{int1}:}{Object of class \code{"character"} designing the first interval and extremity of the constraint: the first character is the interval number, the second is the extremity: 'a' for beginning and 'b' for end}
    \item{\code{int2}:}{Object of class \code{"character"} designing the second interval and extremity of the constraint: the first character is the interval number, the second is the extremity: 'a' for beginning and 'b' for end}
    \item{\code{lower}:}{Object of class \code{"numeric"} matrix containing the lower bounds of the linear constraints junctions }
    \item{\code{upper}:}{Object of class \code{"numeric"} matrix containing the upper bounds of the linear constraints junctions }
  }
}
\section{Methods}{
No methods defined with class "linCon" in the signature.
}
\references{ }
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\note{
The constraints is so that: lower <= Information content at int1 - Information content at int2 <= upper.

The 'makeShapeDiffCon' will build an object of class \code{"shapeDiffCon"} given the int1, int2, lower and upper values.
}
\seealso{
  \code{\link{shapeCon}}, \code{\link{subMotifCon}}, \code{\link{posFreqCon}}, \code{\link{boundCon}}, \code{\link{palCon}}
  \code{\link{makeConSet}}
}
\examples{
makeShapeDiffCon(int1="1b", int2="2a", lower=0.2, upper=0.5)
}
\keyword{classes}
