\name{subMotifCon-class}
\docType{class}
\alias{subMotifCon}
\alias{subMotifCon-class}

\title{Class "subMotifCon" ~~~ }
\description{ This class defines a global constraint when a part of the motif is partially known.}
\section{Objects from the Class}{
Objects can be created by calls of the form
\code{  new('subMotifCon',}\cr
\code{    submotif      = ...., # Object of class \code{character}}\cr
\code{    minfreq       = ...., # Object of class \code{numeric}}\cr
\code{  )}
or by:
\code{  makeSubMotifCon(}\cr
\code{    submotif      = ...., # Object of class \code{character}}\cr
\code{    minfreq       = ...., # Object of class \code{numeric} indicates the lower bound for the nucleotide frequencies in order for the submotif to be considered as contained within the motif.The nucleotide frequencies are determined from the estinmated position weight matrix.}\cr
\code{  )}
}
\section{Slots}{
  \describe{
    \item{\code{submotif}:}{Object of class \code{"matrix"}, it is the submotif which is thought to be contained within the motif}
    \item{\code{minfreq}:}{Object of class \code{"numeric"} indicates the lower bound for the nucleotide frequencies in order for the  submotif to be considered as contained within the motif. The nucleotide frequencies are determined from the estinmated position weight matrix.}
  }
}
\section{Methods}{
No methods defined with class "shapeDiffCon" in the signature.
}
\references{ }
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\note{
}
\seealso{
  \code{\link{shapeCon}}, \code{\link{shapeDiffCon}}, \code{\link{posFreqCon}}, \code{\link{boundCon}}, \code{\link{palCon}}
  \code{\link{makeConSet}}
}
\examples{
submotifcon=makeSubMotifCon("TATAA", 0.5)
}
\keyword{classes}
