double euclDist(
		double *pwm1,            /* position weight matrix 1*/
		double *pwm2,            /* position weight matrix 2*/
		int width                /* motif width */ 
		);

void getAIC(
	    THETA *theta,             /* parameter estimates */
	    DATASET *dataSet          /* the dataset */
	    );

void getBIC(
	    THETA *theta,             /* parameter estiamtes */
	    DATASET *dataSet          /* the dataset */
	    );

void getLogEval(
		THETA *theta,      /* parameter estimates */
		DATASET *dataSet   /* the dataset */
		);

void getLLR(
	    THETA *theta,           /* parameter estimates */
	    DATASET *dataSet        /* the dataset */
	    );

void getLogLik(
	       THETA *theta,           /* parameter estimates */
	       DATASET *dataSet        /* the dataset */
	       );

void getIcProfile(
		  THETA *theta  /* parameter estimates */
		  );

void getPwmKlDiv(
		 THETA *theta,          /* parameter estimates */
		 double *backFreq       /* background frequencies */
		 );

double seqLLR(
	      DATASET *dataSet,   /* the dataset */
	      int seqNum,         /* number of sequence for which to evaluate likelihood */
	      MTYPE mType,        /* model type */
	      double intensity,   /* intensity parameter */
	      int width,          /* width of motif */
	      int spaceNum        /* are motif probs stored in mProbs1 or mProbs2? */
	      );

void copyTheta(
	       THETA *from,    /* copy from this struct */
	       THETA *to       /* into this struct */
	       ); 

double getKlDiv(
		DATASET *dataSet,   /* the dataset */
		THETA *theta,       /* parameter estimates */
		BOOLEAN trunc,      /* truncate KL divergence? */
		double quant        /* truncate to this quantile \in [0,1] */
		);

int compDouble(
	       const void *x,  /* first double */
	       const void *y   /* second double */
	       );

double get_log_pop(
		   DATASET *dataSet,         /* the dataset */
		   double *motifCounts,      /* the nucleotide counts in the alignment */
		   int width,                /* the width of the alignment */
		   int numSites,             /* the number of sites in the alignment */
		   double *backFreq          /* the four background letter frequencies */
		   );
